InvalidResourceRequestException (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.exceptions, class: InvalidResourceRequestException

Package org.apache.hadoop.yarn.exceptions

# Class InvalidResourceRequestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.hadoop.yarn.exceptions.YarnException
org.apache.hadoop.yarn.exceptions.InvalidResourceRequestException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InvalidLabelResourceRequestException`

public class InvalidResourceRequestException extends YarnException
This exception is thrown when a resource requested via `ResourceRequest` in the `ApplicationMasterProtocol.allocate(AllocateRequest)` API is out of the range of the configured lower and upper limits on resources.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `InvalidResourceRequestException.InvalidResourceType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GREATER_THAN_MAX_RESOURCE_MESSAGE_TEMPLATE`
  `static final String`
  `LESS_THAN_ZERO_RESOURCE_MESSAGE_TEMPLATE`
  `static final String`
  `UNKNOWN_REASON_MESSAGE_TEMPLATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidResourceRequestException(String message)`
  `InvalidResourceRequestException(String message, Throwable cause)`
  `InvalidResourceRequestException(String message, InvalidResourceRequestException.InvalidResourceType invalidResourceType)`
  `InvalidResourceRequestException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InvalidResourceRequestException.InvalidResourceType`
  `getInvalidResourceType()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LESS_THAN_ZERO_RESOURCE_MESSAGE_TEMPLATE

    public static final String LESS_THAN_ZERO_RESOURCE_MESSAGE_TEMPLATE
    See Also:
      - Constant Field Values

  - ### GREATER_THAN_MAX_RESOURCE_MESSAGE_TEMPLATE

    public static final String GREATER_THAN_MAX_RESOURCE_MESSAGE_TEMPLATE
    See Also:
      - Constant Field Values

  - ### UNKNOWN_REASON_MESSAGE_TEMPLATE

    public static final String UNKNOWN_REASON_MESSAGE_TEMPLATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InvalidResourceRequestException

    public InvalidResourceRequestException(Throwable cause)

  - ### InvalidResourceRequestException

    public InvalidResourceRequestException(String message)

  - ### InvalidResourceRequestException

    public InvalidResourceRequestException(String message, InvalidResourceRequestException.InvalidResourceType invalidResourceType)

  - ### InvalidResourceRequestException

    public InvalidResourceRequestException(String message, Throwable cause)

- ## Method Details

  - ### getInvalidResourceType

    public InvalidResourceRequestException.InvalidResourceType getInvalidResourceType()